package com.lining.code.enums;

/**
 * @ Author ：lining.
 * @ Date ：Created in 08:52 2022/6/25
 * @ Description：数据流类型：real：实时数据 history：历史全量数据
 */
public enum DataFlowEnum {

    HISTORY("history"),
    REAL("real");

    private String type;

    DataFlowEnum(String type){
        this.type = type;
    }

    public static DataFlowEnum getDataFlow(String type){
        DataFlowEnum[] values = DataFlowEnum.values();
        for(DataFlowEnum dataFlow : values){
            if(dataFlow.type.equals(type)){
                return dataFlow;
            }
        }
        return DataFlowEnum.HISTORY;
    }


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


}
