package com.lining.code.spark.trend.model;

import com.lining.code.constant.ESIndexConstant;
import com.lining.code.constant.SQLConstant;
import com.lining.code.enums.DataFlowEnum;
import com.lining.code.enums.DataTypeEnum;
import com.lining.code.util.SparkSessionUtil;
import org.apache.spark.sql.Dataset;
import org.apache.spark.sql.Row;
import org.apache.spark.sql.SaveMode;
import org.apache.spark.sql.SparkSession;

import java.text.MessageFormat;

/**
 * @ Author ：lining.
 * @ Date ：Created in 16:31 2022/5/8
 * @ Description：创意组趋势同步
 */
public class CreativeTrendModelAction {
    public static void main(String[] args) {
        SparkSession sparkSession = SparkSessionUtil.getSparkSession("CreativeTrendModelAction");

        String gameSQL = MessageFormat.format(SQLConstant.CREATIVE_TREND_MODEL_SQL,
                DataTypeEnum.GAME.getType());

        Dataset<Row> gameSet = sparkSession.sql(gameSQL);

        String gameIndex = MessageFormat.format(ESIndexConstant.CREATIVE_TREND_INDEX,
                DataTypeEnum.GAME.getName());

        gameSet.write()
                .format("org.elasticsearch.spark.sql")
                .mode(SaveMode.Append)
                .option("es.mapping.id", "id")
                .save(gameIndex);

        String appSQL = MessageFormat.format(SQLConstant.CREATIVE_TREND_MODEL_SQL,
                DataTypeEnum.APP.getType());

        Dataset<Row> appSet = sparkSession.sql(appSQL);

        String appIndex = MessageFormat.format(ESIndexConstant.CREATIVE_TREND_INDEX,
                DataTypeEnum.APP.getName());

        appSet.write()
                .format("org.elasticsearch.spark.sql")
                .mode(SaveMode.Append)
                .option("es.mapping.id", "id")
                .save(appIndex);

        sparkSession.stop();

    }
}
