package com.lining.code.util;

import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;

/**
 * @ Author ：lining.
 * @ Date ：Created in 10:48 2022/3/15
 * @ Description：日期工具类
 */
public class DateUtil {
    public static final String YYYYMMDD = "yyyyMMdd";
    public static final String YYYY_MM_DD_HH_mm_ss = "yyyy-MM-dd HH:mm:ss";



    /**
     * 获取当前日期 yyyy-MM-dd
     * @return
     */
    public static String getCurrentDate(){
        return LocalDate.now().format(DateTimeFormatter.ofPattern(YYYYMMDD));
    }

    /**
     * 获取当前日期 yyyy-MM-dd HH:mm:ss
     * @return
     */
    public static String format(Date date, String format){
        SimpleDateFormat dateFromat = new SimpleDateFormat();
        dateFromat.applyPattern(format);
        return dateFromat.format(date);
    }


    /**
     * 获取当前日期，自定义格式
     * @param format
     * @return
     */
    public static String currentTimeFormat(String format){
        return LocalDateTime.now().format(DateTimeFormatter.ofPattern(format));
    }

    public static void main(String[] args) {
        String format = format(new Date(), YYYY_MM_DD_HH_mm_ss);
        System.out.println(format);
    }
}
